/*
** main.c
**
** Nokia 3310 Example Program
** Target: ATMEGA :: AVR-GCC
**
** Written by Tony Myatt - 2007
** Quantum Torque - www.quantumtorque.com
*/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include "lcd.h"

uint32_t initial;
unsigned char c = 'a';

void init()
{
	DDRD |= (_BV(PD5) | _BV(PD4) | _BV(PD3)  | _BV(PD2) | _BV(PD1) | _BV(PD0));
	initial = DDRD;
}

/* main -- Program starts here */
int main(void)
{	
	// Setup LCD
	lcd_init();
	//lcd_contrast(0x40);
	//init();
	lcd_goto_xy(1, 1);
	lcd_str("Hello World!");
	while(1)
	{
		 if(DDRD != initial)
		 {
			lcd_goto_xy(1, 1);
			lcd_str("Hello World!");
			c = (c + 1) % 255;
			DDRD = initial;
		 }
		_delay_ms(10);
	}
	return 0;
}
